Subject: bug#32796: please consider using renameat2 from glibc if available

From: Johannes Schauer <[email-masked]>
Date: Sun, 07 Oct 2018 22:30:31 +0200

Quoting Paul Eggert (2018-10-07 22:21:12)
> The strace results you sent were of the old code and the new code, apparently
> running in a chrooted environment. I'd like to see what happens if the test
> is run in a non-chrooted environment; just the basic environment that people
> get when they log into a traditional GNU/Linux setup.

Attached a gzipped log file.

If you want to play with a chroot that contains the patched coreutils as well
as glibc 2.28, then you can find a 20 MB tarball here for the next 24 hours:

https://a.uguu.se/MAHWcJ0uVW4w_debian-sid.tar.xz

Thanks!

cheers, josch